
.g-page {
    display: grid;
    height: 100%;
    grid-template:
        [start g-header-s g-sidebar-s]
        auto
        [g-header-e g-content-s]
        auto
        [g-sidebar-e g-content-e g-footer-s]
        auto
        [end g-footer-e]
        /
        [start g-footer-s g-sidebar-s] 
        minmax(auto, 25%) 
        [g-sidebar-e g-content-s g-header-s]
        minmax(auto, 75%)
        [end g-header-e g-footer-e g-content-e];

        @include media(p-down) { 
            grid-template:
            [start g-header-s]
            auto
            [g-header-e g-sidebar-s g-content-s]
            auto
            [g-sidebar-e g-content-e g-footer-s]
            auto
            [end g-footer-e]
            /
            [start g-header-s g-footer-s g-sidebar-s g-content-s] 
            minmax(auto, 25%)
            [g-sidebar-e]
            minmax(auto, 75%)
            [end g-header-e g-footer-e g-content-e];
        }
}

.g-header {
    grid-area: g-header-s/g-header-s / g-header-e/g-header-e;

    background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(0,166,155,1) 35%, rgba(0,86,179,1) 100%);
    text-align: center;
    padding: 20px;
    height: $height-header;

    h1 {
        margin: 0;
    }
}

.g-sidebar {
    grid-area: g-sidebar-s/g-sidebar-s / g-sidebar-e/g-sidebar-e;
    background-color: color(blue-sidebar); 
    border-right: 1px solid color(gray-2);

    @include media(p-down) {
        display: none;
    }
}

.g-content {
    grid-area: g-content-s/g-content-s / g-content-e/g-content-e;
    padding: 20px;
}

.g-footer {
    grid-area: g-footer-s/g-footer-s / g-footer-e/g-footer-e;
    background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(0,166,155,1) 35%, rgba(0,86,179,1) 100%);
    padding: 20px;
}
